Package: org.codehaus.groovy.grails.web.pages

## [Java] Class AbstractGroovyPageBinding

- org.codehaus.groovy.grails.web.pages.AbstractGroovyPageBinding

- Abstract super class for GroovyPage bindings

  Authors:
    Graeme Rocher
    Lari Hotari

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `AbstractGroovyPageBinding.BindingMapEntry` |
    `protected static class` | `AbstractGroovyPageBinding.GroovyPageBindingMap` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractGroovyPageBinding ()`
    `AbstractGroovyPageBinding (java.util.Map variables)`
    `AbstractGroovyPageBinding (java.lang.String[] args)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Set<java.lang.String>` | `getVariableNames()`
    `java.util.Map` | `getVariables()`
    `java.util.Map` | `getVariablesMap()`
    `void` | `setVariableDirectly(java.lang.String name, java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.Binding` | `groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public AbstractGroovyPageBinding()

    - #### public AbstractGroovyPageBinding(java.util.Map variables)

    - #### public AbstractGroovyPageBinding(java.lang.String[] args)

  - ### Method Detail

    - #### public java.util.Set<java.lang.String> getVariableNames()

    - #### @java.lang.Override public java.util.Map getVariables()

    - #### public java.util.Map getVariablesMap()

    - #### @java.lang.SuppressWarnings("unchecked") public void setVariableDirectly(java.lang.String name, java.lang.Object value)